Skip to contentSkip to navigationSkip to topbar
Page tools
Useful for sharing or LLM
Accelerate development with AI

On this pageProducts used
Looking for more inspiration?Visit the
Error
Application error

19045: Invalid field type. Supported types: text, date, number

Twilio API Documentation and Error CodesAPI

Description

description page anchor

This error occurs when you send a custom field definition request with an unsupported field_type value. Supported custom field types are Text, Number, and Date.

Possible causes

possible-causes page anchor
  • The request included a field_type value other than Text, Number, or Date.
  • The request body for the Field Definitions endpoint did not use a valid field_type value from the supported enum.
  • Update field_type to one of the supported values: Text, Number, or Date.
  • Review the request body for the Field Definitions endpoint and resend the request with a valid name and field_type.
  • If you create the field in the Twilio SendGrid console, choose one of the available field types when you add the custom field.

Additional resources

additional-resources page anchor